<?php
// +-----------------------------------------------------------------------+
// | Dynamic Recent Period - a PWG Plugin                                  |
// | Copyright (C) 2007 Ruben ARNAUD - rub@phpwebgallery.net               |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

if (!defined('PHPWG_ROOT_PATH'))
{
  die('Hacking attempt!');
}

add_event_handler('init', 'dynareceperio_user_init_post');
add_event_handler('loc_begin_page_tail', 'dynareceperio_remove_recent_period');

function dynareceperio_is_profile_udpate()
{
  global $conf, $page, $edit_user;

  return
      (
        (script_basename() == 'profile')
        or
        (
          (script_basename() == 'admin') and
          (!isset($page['page']) or in_array($page['page'], array('profile', 'configuration', 'user_list')))
        )
      ) 
    and
      $conf['dynareceperio']['force']
    and 
      !(isset($edit_user) and ($edit_user['id'] == $conf['default_user_id']));
}

function dynareceperio_user_init_post()
{
  if (dynareceperio_is_profile_udpate())
  {
    if (isset($_POST['validate']) or isset($_POST['pref_submit']))
    {
      if (empty($_POST['recent_period']))
      {
        $_POST['recent_period'] = get_default_user_value('recent_period', 7);
      }
      if (empty($_POST['recent_period_action']))
      {
        $_POST['recent_period_action'] = 'leave';
      }
    }
  }
}

function dynareceperio_remove_recent_period()
{
  global $page, $template;

  if (dynareceperio_is_profile_udpate())
  {
    $js = '
<script type="text/javascript">
var FindNode = document.getElementsByName("recent_period")[0].parentNode';
    if (isset($page['page']) and ($page['page'] == 'user_list'))
    {
      $js.= '.parentNode';
    }
    $js.= ';
FindNode.parentNode.removeChild(FindNode);
</script>
';
    $template->assign_block_vars('footer_element', array('CONTENT' => $js));
  }
}

?>
